Skip to content

Confirm the one-time code delivered to the number

POST
/v1/verified-numbers/{verified_number_id}/check
curl --request POST \
--url https://api.vocapable.com/v1/verified-numbers/example/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example" }'
verified_number_id
required
Verified Number Id
string
Media typeapplication/json
VerifiedNumberCheckRequest

Confirm the one-time code delivered to the number.

object
code
required
Code
string
>= 4 characters <= 10 characters
Examplegenerated
{
"code": "example"
}

Successful Response

Media typeapplication/json
VerifiedNumberSummary

A registration as its tenant sees it - the code and its hash are structurally absent.

object
id
required
Id
string
phone_e164
required
Phone E164
string
label
Any of:
string
status
required
Status
string
Allowed values: pending verified expired revoked
code_expires_at
Any of:
string format: date-time
verification_attempts
required
Verification Attempts
integer
verified_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
Example
{
"status": "pending"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}